Page 1 of 2 12 LastLast
Results 1 to 20 of 26

Your favorite Apple, iPhone, iPad, iOS, Jailbreak, and Cydia site.


Thread: [iPhone Noob] Need help with unlocking/jailbreaking iPhone 4 with iOS 5 and BB 1.59.00

  1. #1
    Default [iPhone Noob] Need help with unlocking/jailbreaking iPhone 4 with iOS 5 and BB 1.59.00
    I just got an iPhone 4 off ebay and it is on iOS 5 with baseband preserved to 1.59.00. From what i know, this baseband on iPhone 4 is software unlockable.
    Can anyone guide me as to how should i proceed with unlocking and jailbreaking of the iPhone 4 ?
    Also what should be done first - Jailbreaking or Unlocking ??
    Requesting for some noob friendly links to tutorials for the same and anything else i need to be aware about so that i do not goofup anything.

  2. #2
    Super Penguin Mod i.Annie's Avatar
    Join Date
    Jun 2009
    Location
    SW Ohio
    Posts
    16,907
    Thanks
    137
    Thanked 2,202 Times in 1,924 Posts

    The jb is tethered. It can be made to be semi-tethered with a tweak from Cydia called Semi-tether. If you're ok with the device being tethered/semi-tethered then proceed to jb and unlock it.

    To jb and install Cydia, you may use Redsn0w. This can be found on the dev team's blog. Google "dev team" and it's the first link. Scroll through the blog's post to find a dl link for redsn0w.

    After successful jb you can then install ultrasn0w from Cydia to unlock your device.

    Here's a redsn0w guide:

    Jailbreak iOS 5 Using RedSn0w 0.9.9b6, iPhone 4, 3GS [Windows] | iJailbreak.com

    I think this guide provides a redsn0w download link as well.

    Edit: since the device is already on iOS 5 w/ a preserved baseband, disregard the warnings about unlockers to stay away from redsn0w. It doesn't apply to you.

    Ensure the device isn't already jailbroken...if Cydia is on your springboard then don't run redsn0w on your phone. Just go into Cydia and install Ultrasn0w to unlock.

  3. The Following User Says Thank You to i.Annie For This Useful Post:

    raksrules (11-01-2011)

  4. #3
    I am a simular position I bought an iPhone 4 off Ebay but they had upgraded it to IOS 5 and said it was locked to Vodaphone, now I can't see in the phone cos it won't activate so I have no idea what baseband it's on, can this be unlocked? or do I need to get a free vodaphone sim first and try and activate it to see it's model no etc?
    Really appreciate any help

  5. #4
    Super Penguin Mod i.Annie's Avatar
    Join Date
    Jun 2009
    Location
    SW Ohio
    Posts
    16,907
    Thanks
    137
    Thanked 2,202 Times in 1,924 Posts

    you're not exactly in a similar situation. Your device had been upgrade to stock iOS 5 meaning your baseband is likely upgraded. You can't unlock it.

    However, check your baseband first. You can use Redsn0w as I have provided a guide above, to get past the activation screen. Then go into settings, general, about, and check your baseband (aka modem firmware).

    If your bb is not 1.59.00, you can't software unlock. If your bb is above 4.10.xx you cannot Gevey unlock.

  6. The Following 2 Users Say Thank You to i.Annie For This Useful Post:

    boomish69 (11-01-2011), raksrules (11-01-2011)

  7. #5
    Thanks Annie, damm well maybe I can pay for an unlock to Vodaphone, I'll see when I get the free sim hopefully that activates it. No way to downgrade either I suppose..?

  8. #6
    Super Penguin Mod i.Annie's Avatar
    Join Date
    Jun 2009
    Location
    SW Ohio
    Posts
    16,907
    Thanks
    137
    Thanked 2,202 Times in 1,924 Posts

    Sorry unfortunately there isn't a way to downgrade basebands. You could try asking your carrier to unlock it though.

  9. #7
    Couple of more noob queries, (i am yet to JB my iPhone)

    1. I found that there are various versions of Redsn0w, what is the difference between these and what is it that a version X might have as against X-1, or should i just pickup the latest version and get along with jailbreaking ?

    2. In the redsn0w tutorial, it involves connecting the phone to pc and such things. Is it necessary for me to install iTunes in my PC before i do the jailbreaking ? Please be informed that my iPhone already has iOS 5 and hence i will be not be installing the (custom ??) firmware, just doing the jailbreak.



    Sorry for bothering.
    Last edited by raksrules; 11-08-2011 at 01:44 PM.

  10. #8
    Super Moderator iYeow's Avatar
    Join Date
    Feb 2008
    Location
    Vancouver, Canada
    Posts
    13,954
    Thanks
    76
    Thanked 2,758 Times in 2,647 Posts

    Yes, you need to have itunes installed as it installs drivers for your iphone.

    If you don't have any 4.xx shsh blob, before you do any restore to custom fw of 5.0, download the latest ifaith and dump your shsh blob for your current firmware so you revert back if something happens.

    I have seen 1.59.00 bb at ios 5 but ultrasn0w still doesn't unlock.
    Last edited by iYeow; 11-08-2011 at 01:47 PM.

  11. The Following User Says Thank You to iYeow For This Useful Post:

    raksrules (11-08-2011)

  12. #9
    Quote Originally Posted by iYeow View Post
    Yes, you need to have itunes installed as it installs drivers for your iphone.

    If you don't have any 4.xx shsh blob, before you do any restore to custom fw of 5.0, download the latest ifaith and dump your shsh blob for your current firmware so you revert back if something happens.
    Can you check again since i added more things to the query.

    Also the seller from whom i got the phone, gave me the following files that he had backed up before upgrading to i0S 5

    iPhone3,1_4.3.1_8G4_Custom_Restore.ipsw
    PwnageTool_4.3.dmg
    carrier.plist

    Are you saying that after i back up my current Firmware phone (before jailbreaking), i should be getting similar files ? Or since i already have iOS 5, i don't really should look into backing up the SHSH etc ?
    Last edited by raksrules; 11-08-2011 at 01:50 PM.

  13. #10
    Super Moderator iYeow's Avatar
    Join Date
    Feb 2008
    Location
    Vancouver, Canada
    Posts
    13,954
    Thanks
    76
    Thanked 2,758 Times in 2,647 Posts

    The files he gave you are just custom firmware , the tool to create custom firmware. Shsh blob is not there, go open up cydia and on top , what shsh blob do you see in Green Letters.

    And also do this, run latest tiny umbrella, adv tab : select > request shsh blob from cydia and click save shsh.
    Look under general tab , if you have shsh blob saved, it should be shown.

    If you don't see anything, then ifaith should dump your shsh blob for current firmware.
    Last edited by iYeow; 11-08-2011 at 02:12 PM.

  14. The Following User Says Thank You to iYeow For This Useful Post:

    raksrules (11-08-2011)

  15. #11
    ^^The unlock is not working for you under iOS5 and 1.59.00 firmware ??
    Why is it so ??
    I checked iClarified and it says that the Ultrasn0w can be used to unlock the phone with baseband 1.59.00

    this link -> iClarified - iPhone - How to Unlock the iPhone 4, 3GS, 3G Using UltraSn0w

    Any particular reason you know why it is not working for you ??
    Last edited by raksrules; 11-08-2011 at 02:32 PM.

  16. #12
    Super Moderator iYeow's Avatar
    Join Date
    Feb 2008
    Location
    Vancouver, Canada
    Posts
    13,954
    Thanks
    76
    Thanked 2,758 Times in 2,647 Posts

    You can try , use redsn0w 0.9.9b7 to jailbreak. Ultrasn0w version 1.2.4 says it will unlock 1.59.00 bb but some members claimed it won't unlock.
    You can always restore back to cfw if you have the blob or save the blob with ifaith first, otherwise you reached the point of no return to 4.xx

    I always like to play safe when restoring to higher firmware

  17. #13
    ^^Which version of redsn0w to use ??
    The iclarified tutorial states to use 0.9.9b6 while you are saying 0.9.9b7. Confused

    Do you have links to those threads which say that 1.59.00 unlock on iOS 5 is not working ? Also i read something about the 1 signal bar issue for i0S5 unlocked using ultrasn0w

    About saving the blob, as of now since i am on iOS 5 , does saving blob matter to me, is there any chance of getting the old 4.3.3 blob (which the seller did not give me) ??

  18. #14
    Super Moderator iYeow's Avatar
    Join Date
    Feb 2008
    Location
    Vancouver, Canada
    Posts
    13,954
    Thanks
    76
    Thanked 2,758 Times in 2,647 Posts

    Iclarified says b6 is because the website was put up when b 6 was created , b7 fixes bugs and is meant for iOS 5.
    Since you are already at iOS 5, then you can only pray for saved shsh blob stored in cydia, ifaith will not dump shsh blob if you are not at the 4.xx firmware.
    Have you check with tiny umbrella yet ?

  19. #15
    Ok so i confirmed with the mail that the seller had sent me few days back and this is what he wrote

    SHSH blobs are on cydia server, so once phone gets cydia installed, it can be viewed from the menu. It is specific based on phones serial number (or id) and I registered them so they can stay in repository. Cydia Now Showing iOS 4.3.3 SHSH Blobs


    So i am assuming that the SHSH blobs are available for my phone. So in this way i am safe and can downgrade to iOS 4.3.3 if required right (not that i want to for now but just asking) ??

    Also about tinyumbrella tool, since i mentioned that i have the 4.3.3 blobs saved, do i still need to use it ?
    Also from what you said, it seems that if i am on firmware 4.XX then only iFaith will work, so it clearly won't work for me, right since i am on iOS 5 ?

    So now if i am able to jailbreak my iPhone 4 using b7 redsn0w and also am able to unlock it using ultrasn0w, i have no reason to go back to 4.3.3 right ?
    Last edited by raksrules; 11-08-2011 at 03:11 PM.

  20. #16
    Super Moderator iYeow's Avatar
    Join Date
    Feb 2008
    Location
    Vancouver, Canada
    Posts
    13,954
    Thanks
    76
    Thanked 2,758 Times in 2,647 Posts

    You are already at iOS 5, try it and see what signal you are getting.

  21. The Following User Says Thank You to iYeow For This Useful Post:

    raksrules (11-08-2011)

  22. #17
    Ok...thanks a lot for so much information you have given. I will now try to jailbreak my iPhone 4 and also unlock it.
    Quick two queries before i start

    1. There is no risk of updating the baseband when i do the jailbreak right ? I am on iOS 5 so i will not be getting into all those custom iPSW and all. (Specifically i will be starting at the point where we directly jailbreak using redsn0w)

    2. Assuming i face issues with unlocking or it does not unlock at all, with my SHSH blobs available, can i safely downgrade my iOS version to 4.3.3 to get a untethered JB and also the unlock working ?

  23. #18
    Super Moderator iYeow's Avatar
    Join Date
    Feb 2008
    Location
    Vancouver, Canada
    Posts
    13,954
    Thanks
    76
    Thanked 2,758 Times in 2,647 Posts

    Running redsnow will not update bb.
    if it doesn't work out, you can downgrade by restoring to custom fw of 4.3.3 with your saved blob in tiny umbrella.
    I suggest you let TU recognise your device first in case you are stuck cos TU will only recognise iphone in bootable state.

  24. The Following User Says Thank You to iYeow For This Useful Post:

    raksrules (11-08-2011)

  25. #19
    ^^Ok this is good then
    Btw from the file name i gave you above, it seems the phone was previously on version 4.3.1 and not 4.3.3 as i told you before. Correct me if i am wrong.
    So i guess if i have the SHSH blob of 4.3.1 available then will i be able to downgrade to this version, have the untethered JB and also software unlock working ?

  26. #20
    Super Moderator iYeow's Avatar
    Join Date
    Feb 2008
    Location
    Vancouver, Canada
    Posts
    13,954
    Thanks
    76
    Thanked 2,758 Times in 2,647 Posts

    You don't assume, you confirm it by running TU and download the blob. If it says 4.3.3, then the 4.3.1ipsw the seller gave you isn't going to do you any good.
    Have u jailbroke it yet.

    It is easy to cook a cfw of 4.3.3.

Page 1 of 2 12 LastLast
Posting Permissions
  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •